Loading...

Stratus

Stratus is Catalyst’s robust cloud storage solution. With a simple upload action, you can store your data of any type as Objects in containers called Buckets.

Get All Buckets

Description

This API allows you to get all available details of all buckets present in Stratus.

Request Details

Request URL

GET

{api-domain}/baas/v1/project/{project_id}/bucket

copy

project_id
Numerical
The unique ID of the project

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.buckets.READ

Response Details

The response will return the metadata and details of all the buckets including its bucket_name, and the details of the user who created and last modified the bucket.

Sample Request
copy

curl -X GET https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket -H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”

Sample Response
copy
{
"status": "success",
"data": [
    {
    "bucket_name": "fsbucket17",
    "project_details": {
        "project_name": "Project-Rainfall-4",
        "id": 2000000000075,
        "project_type": "Live"
    },
    "created_by": {
        "zuid": 18599686,
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia B",
        "last_name": "Fstest",
        "user_type": "Admin",
        "user_id": 2000000000055
    },
    "created_time": "Sep 27, 2023 05:01 PM",
    "modified_by": {
        "zuid": 18599686,
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia B",
        "last_name": "Fstest",
        "user_type": "Admin",
        "user_id": 2000000000055
    },
    "modified_time": "Sep 27, 2023 05:01 PM",
    "bucket_meta": {
        "versioning": false,
        "caching": {
        "status": "Disabled"
        },
        "encryption": false,
        "audit_consent": false
    },
    "bucket_url": "https://fsbucket17-development.zohostratus.com"
    },
    {
    "bucket_name": "fsbucket16",
    "project_details": {
        "project_name": "Project-Rainfall-4",
        "id": 2000000000075,
        "project_type": "Live"
    },
    "created_by": {
        "zuid": 18599686,
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia B",
        "last_name": "Fstest",
        "user_type": "Admin",
        "user_id": 2000000000055
    },
    "created_time": "Sep 27, 2023 04:58 PM",
    "modified_by": {
        "zuid": 18599686,
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia B",
        "last_name": "Fstest",
        "user_type": "Admin",
        "user_id": 2000000000055
    },
    "modified_time": "Sep 27, 2023 04:58 PM",
    "bucket_meta": {
        "versioning": false,
        "caching": {
        "status": "Disabled"
        },
        "encryption": true,
        "audit_consent": true
    },
    "bucket_url": "https://fsbucket16-development.zohostratus.com"
    },
    {
    "bucket_name": "fsbucket15",
    "project_details": {
        "project_name": "Project-Rainfall-4",
        "id": 2000000000075,
        "project_type": "Live"
    },
    "created_by": {
        "zuid": 18599686,
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia B",
        "last_name": "Fstest",
        "user_type": "Admin",
        "user_id": 2000000000055
    },
    "created_time": "Sep 27, 2023 04:57 PM",
    "modified_by": {
        "zuid": 18599686,
        "is_confirmed": false,
        "email_id": "emmy@zylker.com",
        "first_name": "Amelia B",
        "last_name": "Fstest",
        "user_type": "Admin",
        "user_id": 2000000000055
    },
    "modified_time": "Sep 27, 2023 04:57 PM",
    "bucket_meta": {
        "versioning": true,
        "caching": {
        "status": "In-Progress"
        },
        "encryption": false,
        "audit_consent": false
    },
    "bucket_url": "https://fsbucket15-development.zohostratus.com"
    }
]
}
View more